# -*- coding:Utf-8 -*-

import es, playerlib, popuplib, langlib

info = es.AddonInfo()
info.name = 'armesgiver'
info.title = 'ArmesGiver'
info.author = 'Dragonfly'
info.version = '3.4'

# Variable (prix, maximum)
prix_glock = es.ServerVar("prix_glock", 0)
maximum_glock = es.ServerVar("maximum_glock", 0)
prix_usp = es.ServerVar("prix_usp", 0)
maximum_usp = es.ServerVar("maximum_usp", 0)
prix_deagle = es.ServerVar("prix_deagle", 0)
maximum_deagle = es.ServerVar("maximum_deagle", 0)
prix_p228 = es.ServerVar("prix_p228", 0)
maximum_p228 = es.ServerVar("maximum_p228", 0)
prix_elite = es.ServerVar("prix_elite", 0)
maximum_elite = es.ServerVar("maximum_elite", 0)
prix_fiveseven = es.ServerVar("prix_fiveseven", 0)
maximum_fiveseven = es.ServerVar("maximum_fiveseven", 0)
prix_m3 = es.ServerVar("prix_m3", 0)
maximum_m3 = es.ServerVar("maximum_m3", 0)
prix_xm1014 = es.ServerVar("prix_xm1014", 0)
maximum_xm1014 = es.ServerVar("maximum_xm1014", 0)
prix_mp5navy = es.ServerVar("prix_mp5navy", 0)
maximum_mp5navy = es.ServerVar("maximum_mp5navy", 0)
prix_tmp = es.ServerVar("prix_tmp", 0)
maximum_tmp = es.ServerVar("maximum_tmp", 0)
prix_p90 = es.ServerVar("prix_p90", 0)
maximum_p90 = es.ServerVar("maximum_p90", 0)
prix_mac10 = es.ServerVar("prix_mac10", 0)
maximum_mac10 = es.ServerVar("maximum_mac10", 0)
prix_ump45 = es.ServerVar("prix_ump45", 0)
maximum_ump45 = es.ServerVar("maximum_ump45", 0)
prix_m249 = es.ServerVar("prix_m249", 0)
maximum_m249 = es.ServerVar("maximum_m249", 0)
prix_ak47 = es.ServerVar("prix_ak47", 0)
maximum_ak47 = es.ServerVar("maximum_ak47", 0)
prix_m4a1 = es.ServerVar("prix_m4a1", 0)
maximum_m4a1 = es.ServerVar("maximum_m4a1", 0)
prix_sg552 = es.ServerVar("prix_sg552", 0)
maximum_sg552 = es.ServerVar("maximum_sg552", 0)
prix_aug = es.ServerVar("prix_aug", 0)
maximum_aug = es.ServerVar("maximum_aug", 0)
prix_galil = es.ServerVar("prix_galil", 0)
maximum_galil = es.ServerVar("maximum_galil", 0)
prix_famas = es.ServerVar("prix_famas", 0)
maximum_famas = es.ServerVar("maximum_famas", 0)
prix_scout = es.ServerVar("prix_scout", 0)
maximum_scout = es.ServerVar("maximum_scout", 0)
prix_awp = es.ServerVar("prix_awp", 0)
maximum_awp = es.ServerVar("maximum_awp", 0)
prix_g3sg1 = es.ServerVar("prix_g3sg1", 0)
maximum_g3sg1 = es.ServerVar("maximum_g3sg1", 0)
prix_sg550 = es.ServerVar("prix_sg550", 0)
maximum_sg550 = es.ServerVar("maximum_sg550", 0)
prix_hegrenade = es.ServerVar("prix_hegrenade", 0)
maximum_hegrenade = es.ServerVar("maximum_hegrenade", 0)
prix_smokegrenade = es.ServerVar("prix_smokegrenade", 0)
maximum_smokegrenade = es.ServerVar("maximum_smokegrenade", 0)
prix_flashbang = es.ServerVar("prix_flashbang", 0)
maximum_flashbang = es.ServerVar("maximum_flashbang", 0)

armesDict = {}
armesTrad = langlib.Strings(es.getAddonPath("armesgiver") + "/armesgiver_translations.ini")

def load():
	global Armes, ArmesA, ArmesB, ArmesC, ArmesD, ArmesE, ArmesF
	es.ServerVar('DgF_ArmesGiver', info.version, info.title).makepublic()
	es.mexec("../addons/eventscripts/armesgiver/armesgiver_config.cfg")
	Armes = popuplib.create("Armes")
	Armes.addline("Choisis la catégorie:")
	Armes.addline("---------------------")
	Armes.addline("->1. Pistolets")
	Armes.addline("->2. Fusils à pompes")
	Armes.addline("->3. Fusils de soutien")
	Armes.addline("->4. Fusils d'assault")
	Armes.addline("->5. Fusils de précision")
	Armes.addline("->6. Grenades")
	Armes.addline(" ")
	Armes.addline(" ")
	Armes.addline("---------------------")
	Armes.addline("0. Fermer")
	Armes.menuselect = Armes_menuselect
	ArmesA = popuplib.create("ArmesA")
	ArmesA.addline("Pistolets:")
	ArmesA.addline("---------------------")
	ArmesA.addline("->1. Glock [%s$]" % prix_glock)
	ArmesA.addline("->2. USP [%s$]" % prix_usp)
	ArmesA.addline("->3. Desert Eagle [%s$]" % prix_deagle)
	ArmesA.addline("->4. Compact [%s$]" % prix_p228)
	ArmesA.addline("->5. Dual Elite [%s$]" % prix_elite)
	ArmesA.addline("->6. Five Seven [%s$]" % prix_fiveseven)
	ArmesA.addline(" ")
	ArmesA.addline("->8. Retour")
	ArmesA.addline("---------------------")
	ArmesA.addline("0. Fermer")
	ArmesA.menuselect = ArmesA_menuselect
	ArmesB = popuplib.create("ArmesB")
	ArmesB.addline("Fusils à pompes:")
	ArmesB.addline("---------------------")
	ArmesB.addline("->1. M3 [%s$]" % prix_m3)
	ArmesB.addline("->2. XM1014 [%s$]" % prix_xm1014)
	ArmesB.addline(" ")
	ArmesB.addline(" ")
	ArmesB.addline(" ")
	ArmesB.addline(" ")
	ArmesB.addline(" ")
	ArmesB.addline("->8. Retour")
	ArmesB.addline("---------------------")
	ArmesB.addline("0. Fermer")
	ArmesB.menuselect = ArmesB_menuselect
	ArmesC = popuplib.create("ArmesC")
	ArmesC.addline("Fusils de soutien:")
	ArmesC.addline("---------------------")
	ArmesC.addline("->1. MP-5 Navy [%s$]" % prix_mp5navy)
	ArmesC.addline("->2. TMP [%s$]" % prix_tmp)
	ArmesC.addline("->3. P90 [%s$]" % prix_p90)
	ArmesC.addline("->4. MAC-10 [%s$]" % prix_mac10)
	ArmesC.addline("->5. UMP-45 [%s$]" % prix_ump45)
	ArmesC.addline("->6. M249 [%s$]" % prix_m249)
	ArmesC.addline(" ")
	ArmesC.addline("->8. Retour")
	ArmesC.addline("---------------------")
	ArmesC.addline("0. Fermer")
	ArmesC.menuselect = ArmesC_menuselect
	ArmesD = popuplib.create("ArmesD")
	ArmesD.addline("Fusils d'assault:")
	ArmesD.addline("---------------------")
	ArmesD.addline("->1. AK47 [%s$]" % prix_ak47)
	ArmesD.addline("->2. Colt M4A1 [%s$]" % prix_m4a1)
	ArmesD.addline("->3. Sauer SG-552 [%s$]" % prix_sg552)
	ArmesD.addline("->4. Steyr AUG A1 [%s$]" % prix_aug)
	ArmesD.addline("->5. Galil [%s$]" % prix_galil)
	ArmesD.addline("->6. Famas [%s$]" % prix_famas)
	ArmesD.addline(" ")
	ArmesD.addline("->8. Retour")
	ArmesD.addline("---------------------")
	ArmesD.addline("0. Fermer")
	ArmesD.menuselect = ArmesD_menuselect
	ArmesE = popuplib.create("ArmesE")
	ArmesE.addline("Fusils de précision:")
	ArmesE.addline("---------------------")
	ArmesE.addline("->1. Scout [%s$]" % prix_scout)
	ArmesE.addline("->2. AWP [%s$]" % prix_awp)
	ArmesE.addline("->3. G3/SG1 Sniper [%s$]" % prix_g3sg1)
	ArmesE.addline("->4. SG-550 [%s$]" % prix_sg550)
	ArmesE.addline(" ")
	ArmesE.addline(" ")
	ArmesE.addline(" ")
	ArmesE.addline("->8. Retour")
	ArmesE.addline("---------------------")
	ArmesE.addline("0. Fermer")
	ArmesE.menuselect = ArmesE_menuselect
	ArmesF = popuplib.create("ArmesF")
	ArmesF.addline("Grenades:")
	ArmesF.addline("---------------------")
	ArmesF.addline("->1. He Grenade [%s$]" % prix_hegrenade)
	ArmesF.addline("->2. Fumigène [%s$]" % prix_smokegrenade)
	ArmesF.addline("->3. Flashbang [%s$]" % prix_flashbang)
	ArmesF.addline(" ")
	ArmesF.addline(" ")
	ArmesF.addline(" ")
	ArmesF.addline(" ")
	ArmesF.addline("->8. Retour")
	ArmesF.addline("---------------------")
	ArmesF.addline("0. Fermer")
	ArmesF.menuselect = ArmesF_menuselect
	for player in playerlib.getUseridList('#human'):
		addkeys(player)
	es.msg("#multi", "#green[ArmesGiver]:#default ON")

def unload():
	Armes.delete()
	ArmesA.delete()
	ArmesB.delete()
	ArmesC.delete()
	ArmesD.delete()
	ArmesE.delete()
	ArmesF.delete()
	es.msg("#multi", "#green[ArmesGiver]:#default OFF")

def player_activate(ev):
	userid = int(ev['userid'])
	if not ev['es_steamid'] == "BOT":
		armesDict[userid] = {}
		armesDict[userid]['nbr_glock'] = 0
		armesDict[userid]['nbr_usp'] = 0
		armesDict[userid]['nbr_deagle'] = 0
		armesDict[userid]['nbr_p228'] = 0
		armesDict[userid]['nbr_elite'] = 0
		armesDict[userid]['nbr_fiveseven'] = 0
		armesDict[userid]['nbr_m3'] = 0
		armesDict[userid]['nbr_xm1014'] = 0
		armesDict[userid]['nbr_mp5navy'] = 0
		armesDict[userid]['nbr_tmp'] = 0
		armesDict[userid]['nbr_p90'] = 0
		armesDict[userid]['nbr_mac10'] = 0
		armesDict[userid]['nbr_ump45'] = 0
		armesDict[userid]['nbr_m249'] = 0
		armesDict[userid]['nbr_ak47'] = 0
		armesDict[userid]['nbr_m4a1'] = 0
		armesDict[userid]['nbr_sg552'] = 0
		armesDict[userid]['nbr_aug'] = 0
		armesDict[userid]['nbr_galil'] = 0
		armesDict[userid]['nbr_famas'] = 0
		armesDict[userid]['nbr_scout'] = 0
		armesDict[userid]['nbr_awp'] = 0
		armesDict[userid]['nbr_g3sg1'] = 0
		armesDict[userid]['nbr_sg550'] = 0
		armesDict[userid]['nbr_hegrenade'] = 0
		armesDict[userid]['nbr_smokegrenade'] = 0
		armesDict[userid]['nbr_flashbang'] = 0
	es.tell(ev['userid'], "#multi", "Ce serveur utilise#green [ArmesGiver]#default créé par Dragonfly.")				
		
def player_disconnect(ev):
	del(armesDict[ev['userid']])		
	
def player_spawn(ev):
	userid = int(ev['userid'])
	if not ev['es_steamid'] == "BOT":
		armesDict[userid] = {}
		armesDict[userid]['nbr_glock'] = 0
		armesDict[userid]['nbr_usp'] = 0
		armesDict[userid]['nbr_deagle'] = 0
		armesDict[userid]['nbr_p228'] = 0
		armesDict[userid]['nbr_elite'] = 0
		armesDict[userid]['nbr_fiveseven'] = 0
		armesDict[userid]['nbr_m3'] = 0
		armesDict[userid]['nbr_xm1014'] = 0
		armesDict[userid]['nbr_mp5navy'] = 0
		armesDict[userid]['nbr_tmp'] = 0
		armesDict[userid]['nbr_p90'] = 0
		armesDict[userid]['nbr_mac10'] = 0
		armesDict[userid]['nbr_ump45'] = 0
		armesDict[userid]['nbr_m249'] = 0
		armesDict[userid]['nbr_ak47'] = 0
		armesDict[userid]['nbr_m4a1'] = 0
		armesDict[userid]['nbr_sg552'] = 0
		armesDict[userid]['nbr_aug'] = 0
		armesDict[userid]['nbr_galil'] = 0
		armesDict[userid]['nbr_famas'] = 0
		armesDict[userid]['nbr_scout'] = 0
		armesDict[userid]['nbr_awp'] = 0
		armesDict[userid]['nbr_g3sg1'] = 0
		armesDict[userid]['nbr_sg550'] = 0
		armesDict[userid]['nbr_hegrenade'] = 0
		armesDict[userid]['nbr_smokegrenade'] = 0
		armesDict[userid]['nbr_flashbang'] = 0
	
def round_start(ev):
	for player in playerlib.getUseridList('#human'):
		armesDict[player] = {}
		armesDict[player]['nbr_glock'] = 0
		armesDict[player]['nbr_usp'] = 0
		armesDict[player]['nbr_deagle'] = 0
		armesDict[player]['nbr_p228'] = 0
		armesDict[player]['nbr_elite'] = 0
		armesDict[player]['nbr_fiveseven'] = 0
		armesDict[player]['nbr_m3'] = 0
		armesDict[player]['nbr_xm1014'] = 0
		armesDict[player]['nbr_mp5navy'] = 0
		armesDict[player]['nbr_tmp'] = 0
		armesDict[player]['nbr_p90'] = 0
		armesDict[player]['nbr_mac10'] = 0
		armesDict[player]['nbr_ump45'] = 0
		armesDict[player]['nbr_m249'] = 0
		armesDict[player]['nbr_ak47'] = 0
		armesDict[player]['nbr_m4a1'] = 0
		armesDict[player]['nbr_sg552'] = 0
		armesDict[player]['nbr_aug'] = 0
		armesDict[player]['nbr_galil'] = 0
		armesDict[player]['nbr_famas'] = 0
		armesDict[player]['nbr_scout'] = 0
		armesDict[player]['nbr_awp'] = 0
		armesDict[player]['nbr_g3sg1'] = 0
		armesDict[player]['nbr_sg550'] = 0
		armesDict[player]['nbr_hegrenade'] = 0
		armesDict[player]['nbr_smokegrenade'] = 0
		armesDict[player]['nbr_flashbang'] = 0
	es.msg("#multi", "#green[Armesgiver]:#default Écris#green !armes#default dans le chat pour ouvrir le menu d'armes.")
		
def addkeys(userid):
	armesDict[userid] = {}
	armesDict[userid]['nbr_glock'] = 0
	armesDict[userid]['nbr_usp'] = 0
	armesDict[userid]['nbr_deagle'] = 0
	armesDict[userid]['nbr_p228'] = 0
	armesDict[userid]['nbr_elite'] = 0
	armesDict[userid]['nbr_fiveseven'] = 0
	armesDict[userid]['nbr_m3'] = 0
	armesDict[userid]['nbr_xm1014'] = 0
	armesDict[userid]['nbr_mp5navy'] = 0
	armesDict[userid]['nbr_tmp'] = 0
	armesDict[userid]['nbr_p90'] = 0
	armesDict[userid]['nbr_mac10'] = 0
	armesDict[userid]['nbr_ump45'] = 0
	armesDict[userid]['nbr_m249'] = 0
	armesDict[userid]['nbr_ak47'] = 0
	armesDict[userid]['nbr_m4a1'] = 0
	armesDict[userid]['nbr_sg552'] = 0
	armesDict[userid]['nbr_aug'] = 0
	armesDict[userid]['nbr_galil'] = 0
	armesDict[userid]['nbr_famas'] = 0
	armesDict[userid]['nbr_scout'] = 0
	armesDict[userid]['nbr_awp'] = 0
	armesDict[userid]['nbr_g3sg1'] = 0
	armesDict[userid]['nbr_sg550'] = 0
	armesDict[userid]['nbr_hegrenade'] = 0
	armesDict[userid]['nbr_smokegrenade'] = 0
	armesDict[userid]['nbr_flashbang'] = 0
		
def player_say(ev):
	player = playerlib.getPlayer(ev['userid'])
	if ev['text'] == "!armes":
		if not player.isdead:
			Armes.send(ev['userid'])
		else:
			es.tell(ev['userid'], "#multi", "#green[ArmesGiver]:#default Tu dois être vivant pour utiliser ce menu.")
			
def Armes_menuselect(userid, choice, popupid):
	if choice == 1:
		ArmesA.send(userid)
	elif choice == 2:
		ArmesB.send(userid)
	elif choice == 3:
		ArmesC.send(userid)
	elif choice == 4:
		ArmesD.send(userid)
	elif choice == 5:
		ArmesE.send(userid)
	elif choice == 6:
		ArmesF.send(userid)
	elif choice in [7, 8, 9]:
		Armes.send(userid)
				
def ArmesA_menuselect(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if armesDict[userid]['nbr_glock'] < maximum_glock:
			if player.cash >= prix_glock:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.secondary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_glock"' % userid)
				armesDict[userid]['nbr_glock'] += 1
				player.add("cash", "-%s" % prix_glock)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Glock#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Glock#default.")
		else:
			if maximum_glock == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Glock#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Glock!" % maximum_glock)
	elif choice == 2:
		if armesDict[userid]['nbr_usp'] < maximum_usp:
			if player.cash >= prix_usp:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.secondary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_usp"' % userid)
				armesDict[userid]['nbr_usp'] += 1
				player.add("cash", "-%s" % prix_usp)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green USP#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green USP#default.")
		else:
			if maximum_usp == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default L'#greenUSP#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default USP!" % maximum_usp)
	elif choice == 3:
		if armesDict[userid]['nbr_deagle'] < maximum_deagle:
			if player.cash >= prix_deagle:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.secondary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_deagle"' % userid)
				armesDict[userid]['nbr_deagle'] += 1
				player.add("cash", "-%s" % prix_deagle)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Deagle#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Deagle#default.")
		else:
			if maximum_deagle == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Deagle#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Deagle!" % maximum_deagle)
	elif choice == 4:
		if armesDict[userid]['nbr_p228'] < maximum_p228:
			if player.cash >= prix_p228:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.secondary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_p228"' % userid)
				armesDict[userid]['nbr_p228'] += 1
				player.add("cash", "-%s" % prix_p228)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Compact(P228)#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Compact(P228)#default.")
		else:
			if maximum_p228 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Compact(P228)#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Compact(P228)!" % maximum_p228)
	elif choice == 5:
		if armesDict[userid]['nbr_elite'] < maximum_elite:
			if player.cash >= prix_elite:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.secondary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_elite"' % userid)
				armesDict[userid]['nbr_elite'] += 1
				player.add("cash", "-%s" % prix_elite)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Dual Elite#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Dual Elite#default.")
		else:
			if maximum_elite == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Dual Elite#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Dual Elite!" % maximum_elite)
	elif choice == 6:
		if armesDict[userid]['nbr_fiveseven'] < maximum_fiveseven:
			if player.cash >= prix_fiveseven:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.secondary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_fiveseven"' % userid)
				armesDict[userid]['nbr_fiveseven'] += 1
				player.add("cash", "-%s" % prix_fiveseven)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Fiveseven#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Fiveseven#default.")
		else:
			if maximum_fiveseven == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Fiveseven#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Fiveseven!" % maximum_fiveseven)
	elif choice == 8:
		Armes.send(userid)
	elif choice in [7, 9]:
		ArmesA.send(userid)
		
def ArmesB_menuselect(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if armesDict[userid]['nbr_m3'] < maximum_m3:
			if player.cash >= prix_m3:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_m3"' % userid)
				armesDict[userid]['nbr_m3'] += 1
				player.add("cash", "-%s" % prix_m3)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green M3#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green M3#default.")
		else:
			if maximum_m3 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green M3#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default M3!" % maximum_m3)
	elif choice == 2:
		if armesDict[userid]['nbr_xm1014'] < maximum_xm1014:
			if player.cash >= prix_xm1014:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_xm1014"' % userid)
				armesDict[userid]['nbr_xm1014'] += 1
				player.add("cash", "-%s" % prix_xm1014)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green XM1014#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green XM1014#default.")
		else:
			if maximum_xm1014 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green XM1014#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default XM1014!" % maximum_xm1014)
	elif choice == 8:
		Armes.send(userid)
	elif choice in [3, 4, 5, 6, 7, 9]:
		ArmesB.send(userid)
		
def ArmesC_menuselect(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if armesDict[userid]['nbr_mp5navy'] < maximum_mp5navy:
			if player.cash >= prix_mp5navy:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_mp5navy"' % userid)
				armesDict[userid]['nbr_mp5navy'] += 1
				player.add("cash", "-%s" % prix_mp5navy)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green MP-5 Navy#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green MP-5 Navy#default.")
		else:
			if maximum_mp5navy == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green MP-5 Navy#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default MP-5 Navy!" % maximum_mp5navy)
	elif choice == 2:
		if armesDict[userid]['nbr_tmp'] < maximum_tmp:
			if player.cash >= prix_tmp:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_tmp"' % userid)
				armesDict[userid]['nbr_tmp'] += 1
				player.add("cash", "-%s" % prix_tmp)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green TMP#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green TMP#default.")
		else:
			if maximum_tmp == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green TMP#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default TMP!" % maximum_tmp)
	elif choice == 3:
		if armesDict[userid]['nbr_p90'] < maximum_p90:
			if player.cash >= prix_p90:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_p90"' % userid)
				armesDict[userid]['nbr_p90'] += 1
				player.add("cash", "-%s" % prix_p90)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green P90#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green P90#default.")
		else:
			if maximum_p90 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green P90#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default P90!" % maximum_p90)
	elif choice == 4:
		if armesDict[userid]['nbr_mac10'] < maximum_mac10:
			if player.cash >= prix_mac10:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_mac10"' % userid)
				armesDict[userid]['nbr_mac10'] += 1
				player.add("cash", "-%s" % prix_mac10)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green MAC-10#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green MAC-10#default.")
		else:
			if maximum_mac10 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green MAC-10#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default MAC-10!" % maximum_mac10)
	elif choice == 5:
		if armesDict[userid]['nbr_ump45'] < maximum_ump45:
			if player.cash >= prix_ump45:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_ump45"' % userid)
				armesDict[userid]['nbr_ump45'] += 1
				player.add("cash", "-%s" % prix_ump45)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green UMP-45#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green UMP-45#default.")
		else:
			if maximum_ump45 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green UMP-45#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default UMP-45!" % maximum_ump45)
	elif choice == 6:
		if armesDict[userid]['nbr_m249'] < maximum_m249:
			if player.cash >= prix_m249:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_m249"' % userid)
				armesDict[userid]['nbr_m249'] += 1
				player.add("cash", "-%s" % prix_m249)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green M249#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green M249#default.")
		else:
			if maximum_m249 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green M249#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default M249!" % maximum_m249)
	elif choice == 8:
		Armes.send(userid)
	elif choice in [7, 9]:
		ArmesC.send(userid)
	
def ArmesD_menuselect(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if armesDict[userid]['nbr_ak47'] < maximum_ak47:
			if player.cash >= prix_ak47:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_ak47"' % userid)
				armesDict[userid]['nbr_ak47'] += 1
				player.add("cash", "-%s" % prix_ak47)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green AK-47#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green AK-47#default.")
		else:
			if maximum_ak47 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green AK-47#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default AK-47!" % maximum_ak47)
	elif choice == 2:
		if armesDict[userid]['nbr_m4a1'] < maximum_m4a1:
			if player.cash >= prix_m4a1:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_m4a1"' % userid)
				armesDict[userid]['nbr_m4a1'] += 1
				player.add("cash", "-%s" % prix_m4a1)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Colt M4A1#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Colt M4A1#default.")
		else:
			if maximum_m4a1 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Colt M4A1#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Colt M4A1!" % maximum_m4a1)
	elif choice == 3:
		if armesDict[userid]['nbr_sg552'] < maximum_sg552:
			if player.cash >= prix_sg552:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_sg552"' % userid)
				armesDict[userid]['nbr_sg552'] += 1
				player.add("cash", "-%s" % prix_sg552)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Sauer SG-552#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Sauer SG-552#default.")
		else:
			if maximum_sg552 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Sauer SG-552#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Sauer SG-552!" % maximum_sg552)
	elif choice == 4:
		if armesDict[userid]['nbr_aug'] < maximum_aug:
			if player.cash >= prix_aug:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_aug"' % userid)
				armesDict[userid]['nbr_aug'] += 1
				player.add("cash", "-%s" % prix_aug)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Steyr AUG A1#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Steyr AUG A1#default.")
		else:
			if maximum_aug == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Steyr AUG A1#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Steyr AUG A1!" % maximum_aug)
	elif choice == 5:
		if armesDict[userid]['nbr_galil'] < maximum_galil:
			if player.cash >= prix_galil:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_galil"' % userid)
				armesDict[userid]['nbr_galil'] += 1
				player.add("cash", "-%s" % prix_galil)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Galil#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Galil#default.")
		else:
			if maximum_galil == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Galil#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Galil!" % maximum_galil)
	elif choice == 6:
		if armesDict[userid]['nbr_famas'] < maximum_famas:
			if player.cash >= prix_famas:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_famas"' % userid)
				armesDict[userid]['nbr_famas'] += 1
				player.add("cash", "-%s" % prix_famas)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Famas#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Famas#default.")
		else:
			if maximum_famas == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Famas#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Famas!" % maximum_famas)
	elif choice == 8:
		Armes.send(userid)
	elif choice in [7, 9]:
		ArmesD.send(userid)
		
def ArmesE_menuselect(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if armesDict[userid]['nbr_scout'] < maximum_scout:
			if player.cash >= prix_scout:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_scout"' % userid)
				armesDict[userid]['nbr_scout'] += 1
				player.add("cash", "-%s" % prix_scout)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Scout#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Scout#default.")
		else:
			if maximum_scout == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Scout#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Scout!" % maximum_scout)
	elif choice == 2:
		if armesDict[userid]['nbr_awp'] < maximum_awp:
			if player.cash >= prix_awp:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_awp"' % userid)
				armesDict[userid]['nbr_awp'] += 1
				player.add("cash", "-%s" % prix_awp)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green AWP#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green AWP#default.")
		else:
			if maximum_awp == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green AWP#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default AWP!" % maximum_awp)
	elif choice == 3:
		if armesDict[userid]['nbr_g3sg1'] < maximum_g3sg1:
			if player.cash >= prix_g3sg1:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_g3sg1"' % userid)
				armesDict[userid]['nbr_g3sg1'] += 1
				player.add("cash", "-%s" % prix_g3sg1)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green G3/SG1 Sniper#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green G3/SG1 Sniper#default.")
		else:
			if maximum_g3sg1 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green G3/SG1 Sniper#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default G3/SG1 Sniper!" % maximum_g3sg1)
	elif choice == 4:
		if armesDict[userid]['nbr_sg550'] < maximum_sg550:
			if player.cash >= prix_sg550:
				es.server.queuecmd('es_sexec %s "use %s"' % (userid, player.primary))
				es.server.queuecmd('es_sexec %s "drop"' % userid)
				es.server.queuecmd('es_give %s "weapon_sg550"' % userid)
				armesDict[userid]['nbr_sg550'] += 1
				player.add("cash", "-%s" % prix_sg550)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green SG-550#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green SG-550#default.")
		else:
			if maximum_sg550 == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green SG-550#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default SG-550!" % maximum_sg550)
	elif choice == 8:
		Armes.send(userid)
	elif choice in [5, 6, 7, 9]:
		ArmesE.send(userid)
		
def ArmesF_menuselect(userid, choice, popupid):
	player = playerlib.getPlayer(userid)
	if choice == 1:
		if armesDict[userid]['nbr_hegrenade'] < maximum_hegrenade:
			if player.cash >= prix_hegrenade:
				es.server.queuecmd('es_give %s "weapon_hegrenade"' % userid)
				armesDict[userid]['nbr_hegrenade'] += 1
				player.add("cash", "-%s" % prix_hegrenade)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green HE Grenade#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green HE Grenade#default.")
		else:
			if maximum_hegrenade == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green HE Grenade#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default HE Grenade!" % maximum_hegrenade)
	elif choice == 2:
		if armesDict[userid]['nbr_smokegrenade'] < maximum_smokegrenade:
			if player.cash >= prix_smokegrenade:
				es.server.queuecmd('es_give %s "weapon_smokegrenade"' % userid)
				armesDict[userid]['nbr_smokegrenade'] += 1
				player.add("cash", "-%s" % prix_smokegrenade)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Fumigène#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Fumigène#default.")
		else:
			if maximum_smokegrenade == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Fumigène#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Fumigène!" % maximum_smokegrenade)
	elif choice == 3:
		if armesDict[userid]['nbr_flashbang'] < maximum_flashbang:
			if player.cash >= prix_flashbang:
				es.server.queuecmd('es_give %s "weapon_flashbang"' % userid)
				armesDict[userid]['nbr_flashbang'] += 1
				player.add("cash", "-%s" % prix_flashbang)
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu viens d'acheter un#green Flashbang#default.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu n'as plus assez d'argent pour acheter un#green Flashbang#default.")
		else:
			if maximum_flashbang == "0":
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Le#green Flashbang#default a été restreint.")
			else:
				es.tell(userid, "#multi", "#green[ArmesGiver]:#default Tu ne peux pas acheter plus de#green %s#default Flashbang!" % maximum_flashbang)
	elif choice == 8:
		Armes.send(userid)
	elif choice in [4, 5, 6, 7, 9]:
		ArmesF.send(userid)